# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "proc-virtual-dom"
version = "1.0.3"
authors = ["Lyr-7D1h <lyr-7d1h@pm.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for virtual-dom HTML manipulation"
readme = false
keywords = [
    "macro",
    "virtual-dom",
    "html",
    "proc-macro",
]
categories = [
    "parser-implementations",
    "web-programming",
]
license = "MIT"
repository = "https://github.com/Lyr-7D1h/lssg"
resolver = "3"

[lib]
name = "proc_virtual_dom"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "proc_test"
path = "tests/proc_test.rs"

[dependencies.lssg-char-reader]
version = "^1.0"

[dependencies.proc-macro2]
version = "1.0.78"
features = ["span-locations"]

[dependencies.quote]
version = "1.0.35"

[dependencies.syn]
version = "2.0.52"
features = ["full"]

[dependencies.virtual-dom]
version = "^1.0"
